Bug 222010 - devel/xfce4-vala: unbreak build with vala 0.36
Summary: devel/xfce4-vala: unbreak build with vala 0.36
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-xfce mailing list
URL:
Keywords:
Depends on:
Blocks: 221941
  Show dependency treegraph
 
Reported: 2017-09-02 23:47 UTC by Carlos J. Puga Medina
Modified: 2018-01-24 07:25 UTC (History)
4 users (show)

See Also:
madpilot: maintainer-feedback+


Attachments
patch (937 bytes, patch)
2017-09-02 23:49 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (1.09 KB, patch)
2017-09-03 17:52 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (1.06 KB, patch)
2017-09-03 19:41 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (xfce)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-09-02 23:47:25 UTC
===>  Configuring for xfce4-vala-4.10.3_3
configure: loading site script /usr/ports/Templates/config.site
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether gmake sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking pkg-config is at least version 0.9.0... yes
checking for VALA... no
configure: error: Package requirements (libvala-0.30) were not met:

Package 'libvala-0.30', required by 'virtual:world', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables VALA_CFLAGS
and VALA_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
===>  Script "configure" failed unexpectedly.
Please report the problem to xfce@FreeBSD.org [maintainer] and attach the
"/wrkdirs/usr/ports/devel/xfce4-vala/work/xfce4-vala-4.10.3/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. a /usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

build log: http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/xfce4-vala-4.10.3_3.log
Comment 1 Carlos J. Puga Medina freebsd_committer 2017-09-02 23:49:02 UTC
Created attachment 186013 [details]
patch

- Fix build with vala 0.36
- Update WWW in pkg-descr
- Bump PORTREVISION
Comment 2 Olivier Duchateau 2017-09-03 17:05:25 UTC
(In reply to Carlos J. Puga Medina from comment #1)

Carlos, can you also add DEPRECATED macro, because these bindings are targeted for 4.10 release.

There is an update for the 4.12 in upstream repository, but nobody published new tarball. Moreover since the 4.13 branch (devel releases, for the next stable 4.14) bindings are now in core components, so users need to be informed.

Otherwise everything seems fine.
Comment 3 Carlos J. Puga Medina freebsd_committer 2017-09-03 17:52:05 UTC
Created attachment 186036 [details]
patch

- Mark DEPRECATED and set EXPIRATION_DATE to 2017-10-03
Comment 4 Olivier Duchateau 2017-09-03 19:37:26 UTC
(In reply to Carlos J. Puga Medina from comment #3)

I'm not sure, if here EXPIRATION_DATE is necessary. Because 4.10 and 4.12 are close (using the same toolkit Gtk2) whereas the next release, 4.14, the toolkit will be Gtk3. So we can allow users to still use this port, but removal is coming soon (there is no yet schedule for the 4.14).
Comment 5 Carlos J. Puga Medina freebsd_committer 2017-09-03 19:41:41 UTC
Created attachment 186039 [details]
patch

- Only mark port as DEPRECATED.
Comment 6 Carlos J. Puga Medina freebsd_committer 2017-09-03 19:42:00 UTC
(In reply to Olivier Duchateau from comment #4)

Done!
Comment 7 Guido Falsi freebsd_committer 2017-09-21 12:12:15 UTC
The changes look right, but cannot be committed to the present ports tree, since there it breaks in the configure stage.

You can commit this together with the actual vala update.

Otherwise we need to make CONFGURE_ARGS conditional on the actual installed vala version, but I'm not aware of any ports functionality to do that cleanly.

We could cook up son logic based on the presence og "valac-<version>" binaries but I don't like the idea too much.

What is your opinion?
Comment 8 Carlos J. Puga Medina freebsd_committer 2017-09-21 17:26:17 UTC
(In reply to Guido Falsi from comment #7)

I also prefer to commit both changes together.

Now everything depends on Antoine (pending exp-run for vala and dconf).

Thanks for taking a look, Guido.
Comment 9 commit-hook freebsd_committer 2018-01-24 07:17:18 UTC
A commit references this bug:

Author: truckman
Date: Wed Jan 24 07:16:39 UTC 2018
New revision: 459817
URL: https://svnweb.freebsd.org/changeset/ports/459817

Log:
  Fix build of devel/xfce4-vala with vala 0.36

  Update WWW in pkg-descr

  Bump PORTREVISION

  PR:		222010, 221941
  Submitted by:	cpm
  Approved by:	madpilot

Changes:
  head/devel/xfce4-vala/Makefile
  head/devel/xfce4-vala/pkg-descr